TAU_PROFILE_START(3)

NAME
TAU_PROFILE_START - Starts a timer.

SYNOPSIS

C/C++:

TAU_PROFILE_START(Profiler timer);

Fortran:

TAU_PROFILE_START(integer profiler(2));

DESCRIPTION

Starts the timer given by timer

EXAMPLE

C/C++ :

int foo(int a) {
  TAU_PROFILE_TIMER(timer, "foo", "int (int)", TAU_USER);
  TAU_PROFILE_START(timer);
  ...
  TAU_PROFILE_STOP(timer);
  return a;
}

Fortran :

subroutine F1()
  integer profiler(2) / 0, 0 /
  save    profiler
  call TAU_PROFILE_TIMER(profiler,'f1()')
  call TAU_PROFILE_START(profiler)
  ...
  call TAU_PROFILE_STOP(profiler)
end

SEE ALSO

TAU_PROFILE_TIMER(3), TAU_PROFILE_STOP(3)